# Package org.apache.catalina.loader

package org.apache.catalina.loader

Related Packages
Package
Description
org.apache.catalina
Classes
Class
Description
Constants
JdbcLeakPrevention
This class is loaded by `WebappClassLoaderBase` to enable it to deregister JDBC drivers forgotten by the web application.
ParallelWebappClassLoader
ResourceEntry
Resource entry.
WebappClassLoader
WebappClassLoaderBase
Specialized web application class loader.
WebappClassLoaderBase.PrivilegedGetClassLoader
WebappLoader
Classloader implementation which is specialized for handling web applications in the most efficient way, while being Catalina aware (all accesses to resources are made through `WebResourceRoot`).